#!/usr/bin/bash

__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

NO_DELETE=false

# Check for --no-delete flag
for arg in "$@"
do
  if [ "$arg" == "--no-delete" ]; then
    NO_DELETE=true
  fi
done

# Conditionally delete node_modules
if [ "$NO_DELETE" = false ]; then
  echo "Deleting node_modules..."
  rm -rf node_modules/
else
  echo "Skipping deletion of node_modules."
fi

npm ci
npm run build

rsync -r --delete --progress build/ ionos_proxy:/root/downloader

rsync package.json ionos_proxy:/root/downloader
rsync package-lock.json ionos_proxy:/root/downloader

ssh ionos_proxy "cd downloader; npm ci"

ssh ionos_proxy "systemctl restart downloader"